Description

Associated revisions
Revision 43545 - 09/29/2017 02:48 PM - Joaquín  del Cerro Murciano

refs #4694, arreglado que pueda guardar geometrias a null en H2

Revision 421 - 09/29/2017 03:18 PM - Joaquín  del Cerro Murciano

refs #4694, arreglado que pueda guardar geometrias a null en PostgreSQL

History
#1 - 09/29/2017 02:24 PM - Joaquín  del Cerro Murciano
- File Ferrocarril_corrupto.zip added

Carga la capa de ferrocarriles de andalucia.
Como tiene geometrias corruptas, le marcho el check de cargar a null las geometrias corruptas.

Intento exportarla a H2 y al iniciar el proceso de exportacion falla.
En la consola se muestra el siguiente error:

 WARN 225293 [Thread-16] (DefaultFeatureStore.java:383) - Dispossing a store in editing/append mode (test.null.ferrocarrilandal).
java.lang.IllegalStateException
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.doDispose(DefaultFeatureStore.java:381)
        at org.gvsig.tools.dispose.impl.AbstractDisposable.dispose(AbstractDisposable.java:70)
        at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:366)
        at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:293)
 WARN 225294 [Thread-16] (DefaultJExporttoServicePanel.java:295) - Problems exporting the data (layer=ferrocarrilAndal).
org.gvsig.exportto.ExporttoServiceException: An error has been produced exporting a store
        at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:351)
        at org.gvsig.exportto.swing.impl.DefaultJExporttoServicePanel$Export.run(DefaultJExporttoServicePanel.java:293)
Caused by: org.gvsig.fmap.dal.feature.exception.StoreInsertFeatureException: Can't insert feature in store 'ferrocarrilandals'.
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1256)
        at org.gvsig.exportto.swing.prov.jdbc.ExporrtoJDBCService.export(ExporrtoJDBCService.java:320)
        ... 1 more
Caused by: java.lang.RuntimeException: Can't insert feature.
        at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:126)
        at org.gvsig.fmap.dal.store.jdbc2.spi.JDBCStoreProviderBase.append(JDBCStoreProviderBase.java:583)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeatureStore.insert(DefaultFeatureStore.java:1243)
        ... 2 more
Caused by: java.lang.RuntimeException: Can't set parameters to prepared statement from the feature
(org.gvsig.fmap.dal.feature.spi.DefaultFeatureProvider@712da250)
        at org.gvsig.fmap.dal.store.h2.H2SpatialSQLBuilder.setParameters(H2SpatialSQLBuilder.java:339)
        at org.gvsig.fmap.dal.store.jdbc2.spi.operations.AppendOperation.append(AppendOperation.java:123)
        ... 4 more
Caused by: java.lang.NullPointerException
        at org.gvsig.fmap.dal.store.h2.H2SpatialHelper.forceGeometryType(H2SpatialHelper.java:359)
        at org.gvsig.fmap.dal.store.h2.H2SpatialSQLBuilder.setParameters(H2SpatialSQLBuilder.java:319)
        ... 5 more
 INFO 225320 [Thread-16] (AbstractLocator.java:70) - Created and stored the instance of FeatureTypeDefinitionsManager in the singleton
table (org.gvsig.app.extension.D

#2 - 09/29/2017 02:49 PM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#3 - 10/01/2017 09:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220) to 2.4.0-2840 (rev. org.gvsig.desktop-2.0.208)

#4 - 10/16/2017 10:36 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
Ferrocarril_corrupto.zip 52.6 KB 09/29/2017 Joaquín  del Cerro Murciano
